> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/de/knowledge-base/knowledge-base-articles/devolutions-server-console-command-line-interface.md).

# Befehlszeilenschnittstelle der Devolutions Server Console

Verwenden Sie die Befehlszeilenschnittstelle der Devolutions Server Console, um Instanzen zu installieren, zu aktualisieren und zu konfigurieren, einschließlich der Aktivierung der Notfall-Custom-Auth

Die Befehlszeilenschnittstelle (CLI) der Devolutions Server Console ist ein Begleitwerkzeug, mit dem Administratoren mit Devolutions Server-Instanzen, dem Scheduler, dem Aufzeichnungsserver oder einem Gateway interagieren können, um Erstellungs-, Konfigurations- oder Löschvorgänge durchzuführen. Sie ist automatisch mit der Installation der Devolutions Server Console verfügbar. Die Datei **DPS.Console.CLI.exe** befindet sich im Installationsordner der Devolutions Server Console-Anwendung.

### Verwendung der CLI

Der Schalter ***/help*** listet alle verfügbaren Befehle und Parameter auf.

Der folgende Beispielbefehl startet den Upgrade-Prozess aus einer ZIP-Datei, die im **C:\temp-Ordner** verfügbar ist.

**.\DPS.Console.CLI.exe server upgrade --dps "Default Web Site/dps" --zip "C:\temp\DVLS.20XX.X.X.X.zip" --accept-eula -quiet -verbose**.

Der folgende Befehl erstellt eine neue Devolutions Server-Instanz aus einer JSON-Antwortdatei (siehe unten), die die erforderlichen Parameter enthält. Er kann mit jedem der Hauptbefehle der CLI verwendet werden.

**.\DPS.Console.CLI.exe @c:\temp\dvlsinstall.json**

Beispiel einer JSON-Antwortdatei zum Erstellen einer neuen Devolutions Server-Instanz.

```json
{
  "acceptEula": true,
  "adminEmail": "admin@mydomain.org",
  "adminPassword": "AdminPassword",
  "adminUsername": "admin",
  "appPoolIdentityType": "Network Service",
  "appPoolIdentityPassword": null,
  "appPoolIdentityUsername": null,
  "command": "server install",
  "consolepwd": "MyConsolePassword",
  "databaseHost": "SQLServer\SQL2017",
  "databaseIntegratedSecurity": false,
  "databaseName": "DSERVER",
  "databaseConsolePassword": "MyPassword",
  "databaseConsoleUsername": "VaultDBOwner",
  "databaseSchedulerPassword": "MyPassword",
  "databaseSchedulerUsername": "VaultDBScheduler",
  "databaseVaultPassword": "MyPassword",
  "databaseVaultUsername": "VaultDBRunner",
  "debug": false,
  "disableEncryptConfig": false,
  "disableHttps": false,
  "disablePassword": false,
  "dpsPath": "C:\\inetpub\\wwwroot\\dvls",
  "dpsWebsiteName": "Default Web Site",
  "installZip": null,
  "keysPath": "C:\\temp\\DVLS_EncryptionKeys.bin",
  "keysPassword": "MyKeysPassword",
  "quiet": false,
  "scheduler": true,
  "serial": "XXXXX-XXXXX-XXXXX-XXXXX-XXXXX",
  "serverName": "Devolutions Server",
  "serviceAccount": "LocalSystem",
  "servicePassword": null,
  "serviceUser": null,
  "webApplicationName": "/dvls",
  "verbose": false
}
```

#### Notfallverfahren

Ein Break-Glass-Konto wird häufig als letztes Mittel verwendet, um sicherzustellen, dass wesentliche IT-Vorgänge oder Sicherheitsfunktionen im Falle eines Ausfalls, eines Systemfehlers oder eines Sicherheitsvorfalls fortgesetzt werden können. Mit der Befehlszeilenschnittstelle der Devolutions Server Console können wir die Custom-Authentifizierung deaktivieren und bei Bedarf aktivieren, wenn der Haupt-Identitätsanbieter nicht verfügbar ist. Das benutzerdefinierte Administratorkonto muss bereits in der Devolutions Server-Instanz erstellt worden sein.

{% hint style="info" %}
Bitte beachten Sie, dass Sie `dvls` (nach ...`\wwwroot\`) durch Ihren eigenen benutzerdefinierten ***Devolutions Server*** IIS-Anwendungsnamen ersetzen sollten.
{% endhint %}

**Custom-Authentifizierung aktivieren**

Geben Sie in der CLI entweder Folgendes ein:

```powershell
server instance --instance=C:\inetpub\wwwroot\dvls --enable-custom-authentication=true
```

oder

```powershell
server instance --instance=C:\inetpub\wwwroot\dvls --custom-auth=true
```

**Custom-Authentifizierung deaktivieren**

Wenn die erforderlichen Vorgänge abgeschlossen sind:

```powershell
server instance --instance=C:\inetpub\wwwroot\dvls --enable-custom-authentication=false
```

oder

```powershell
server instance --instance=C:\inetpub\wwwroot\dvls --custom-auth=false
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/de/knowledge-base/knowledge-base-articles/devolutions-server-console-command-line-interface.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
